> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/17.-uzklausa-gauti-dirvozemio-duomenu-rinkinius.md).

# 17. Užklausa: gauti „dirvožemio duomenų rinkinius“

Gaukite visus „SoilDatasets“ (dirvos duomenų rinkinius) pasirinktam „Field“ (laukui). Duomenų rinkinius galima gauti naudojant bendrinius GraphQL užklausas, tokius kaip `getFarms` ir `getFields` iš susieto „Field“.&#x20;

{% hint style="warning" %}
„SoilDataset“ turi būti įkeltas iš anksto.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #jei egzistuoja
        number #bendra geofunkcijų (geofeatures) skaičius
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #išsamūs duomenys apie kiekvieną atributą
          name #nuoroda į statistikos >> atributą
          transliteratedName
          fullName #jei egzistuoja
          unit #jei egzistuoja
        }

        createdDate #objekto sukūrimo data ir laikas GeoPard
        updatedDate #paskutinio atnaujinimo data ir laikas
        operationType
        operationId
        operationFileDate #failo sukūrimo data ir laikas
        operationStartDate #operacijos pradžia
        
        statistics { #statistikos pasiskirstymas kiekvienam dirvos atributui
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoŽemėlapiai {
          url
          trumpasPavadinimas
          hexSpalvųKodai
          klasės
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        pavadinimas  
        operationId #jei egzistuoja 
        number #bendra geofunkcijų (geofeatures) skaičius 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #nuoroda į statistikos >> atributą
          transliteratedName
          fullName #jei egzistuoja
          unit #jei egzistuoja
        }
      
        createdDate #sukūrimo data GeoPard
        updatedDate #paskutinio atnaujinimo data GeoPard
        operationFileDate #failo sukūrimo data ir laikas (jei egzistuoja)
        operationStartDate #operacijos pradžia (jei egzistuoja)
      
        statistics { #statistinis pasiskirstymas kiekvienam dirvos atributui
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #vizualus atvaizdavimas
          url
          trumpasPavadinimas
          hexSpalvųKodai
          klasės
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/17.-uzklausa-gauti-dirvozemio-duomenu-rinkinius.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
